[Armadeus-commitlog] SF.net SVN: armadeus:[1164] trunk
Brought to you by:
sszy
|
From: <ar...@us...> - 2009-03-16 08:19:45
|
Revision: 1164
http://armadeus.svn.sourceforge.net/armadeus/?rev=1164&view=rev
Author: artemys
Date: 2009-03-16 08:19:30 +0000 (Mon, 16 Mar 2009)
Log Message:
-----------
[BUILD] Add a script to makes Armadeus Linux patches series usable with quilt
Added Paths:
-----------
trunk/scripts/
trunk/scripts/quilt.sh
Added: trunk/scripts/quilt.sh
===================================================================
--- trunk/scripts/quilt.sh (rev 0)
+++ trunk/scripts/quilt.sh 2009-03-16 08:19:30 UTC (rev 1164)
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+make shell_env
+. armadeus_env.sh
+
+
+if [ "$1" == "export" ]; then
+ echo "Exporting your work (patches) from $ARMADEUS_LINUX_DIR/patches/ to $ARMADEUS_LINUX_PATCH_DIR"
+ cp -f $ARMADEUS_LINUX_DIR/patches/*.patch $ARMADEUS_LINUX_PATCH_DIR/
+ echo -e "\n--- You can now check your work before commiting in $ARMADEUS_LINUX_PATCH_DIR/ \n"
+ exit 0
+fi
+
+
+# else import patches:
+
+echo "Updating your SVN view"
+svn update
+
+echo "I will delete this directory: $ARMADEUS_LINUX_DIR"
+echo " Ok ? (y/n)"
+
+read response
+
+if [ "$response" != "y" ]; then
+ exit 1
+fi
+
+rm -rf $ARMADEUS_LINUX_DIR
+make linux26-unpacked
+
+
+pushd $ARMADEUS_LINUX_DIR
+mkdir patches
+
+PATCHES=`ls -ar $ARMADEUS_LINUX_PATCH_DIR/*.patch`
+
+for patch in $PATCHES; do
+ quilt import $patch
+done
+
+quilt push -a
+
+quilt series >> .applied_patches_list
+
+touch .unpacked
+touch .patched
+touch .patched.arch
+touch .patched.board
+
+echo -e "\n--- Your kernel is \"quiltified\" ! I will now compile it...\n"
+sleep 2
+
+popd
+make
+
+echo -e "\n--- Your can now go to $ARMADEUS_LINUX_DIR\nHappy hacking ! ;-)\n"
+echo -e "__ Don't forget to do a \"$0 export\" after your modifications __\n"
+
+exit 0
Property changes on: trunk/scripts/quilt.sh
___________________________________________________________________
Added: svn:executable
+ *
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|